Skip to content

Delete LLM Configurations



POST /api/v1/llm_cfg/delete

Overview

Batch delete one or more LLM application configurations.

Body Request Parameters

Parameter Name Type Required Description
appIds array List of appIds to be deleted
Allow empty: False

Parameter Supplementary Description

Interface Description

Delete LLM applications in batch based on appIds.

Deletion Behavior

  1. Supports deleting multiple applications at once.
  2. The return value is a {appId: name} mapping, indicating the applications actually deleted in this operation.
  3. After deletion, downstream LLM statistics/access sides will be notified to synchronize the application's offline status.

Notes

  1. The current interface follows an idempotent deletion style.
  2. If a certain appId does not exist or has already been deleted, it may not be included in the returned result.
  3. The clientToken records of deleted applications will not be directly returned by this interface.

Request Example

curl 'https://openapi.truewatch.com/api/v1/llm_cfg/delete' \
  -H 'DF-API-KEY: <DF-API-KEY>' \
  -H 'Content-Type: application/json;charset=UTF-8' \
  --data-raw '{"appIds":["llm_app_demo_v2"]}' \
  --compressed

Response

{
    "code": 200,
    "content": {
        "llm_app_demo_v2": "Langfuse Prod V2"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-68EEEB4A-9ABC-4DDB-A72B-40F07F2699A5"
}